._timeline {
  $line-width: var(--spacer-tiny);
  $line-color: var(--state-color-mute);

  padding-left: var(--spacer-medium);
  border-left: $line-width solid var(--state-color-mute);
  margin-left: var(--spacer-default);

  &__year,
  &__month,
  &__day {
    padding: var(--spacer-small);
    border-radius: var(--border-radius-small);
  }

  &__year {
    position: sticky;
    z-index: 4;
    top: 0;
    margin-left: -1.5em;
    background-color: var(--component-content-background);
    font-size: var(--font-size-h4);
  }

  &__month {
    margin-top: var(--spacer-large);
    margin-left: -1.2rem;
    background-color: var(--component-content-background-alt);
    font-size: var(--font-size-h5);
  }

  &__day {
    position: sticky;
    z-index: 3;
    top: calc(var(--spacer-large) + var(--spacer-small));
    margin-top: var(--spacer-large);
    margin-left: -0.8rem;
    background-color: var(--component-content-background-alt);
    font-size: var(--font-size-h6);
  }

  &__entry {
    position: relative;
    display: flex;
    align-items: center;
    padding-top: var(--spacer-small);
    padding-left: var(--spacer-default);
    border-radius: var(--border-radius-small);
    margin-top: var(--spacer-large);
    margin-bottom: var(--spacer-default);
    gap: var(--spacer-default);

    &__title {
      font-size: var(--font-size-base);
      font-weight: var(--font-weight-base);
    }

    &__subtitle {
      font-size: var(--font-size-small);
      font-weight: var(--font-weight-light);
    }

    &__icon {
      position: absolute;
      left: -1.9rem;
      display: inline-block;
      width: 1.6rem;
      height: 1.6rem;
      flex: none;
      padding: var(--spacer-small);
      border-radius: 50%;
      background-color: $line-color;
      color: var(--state-color-mute-alt);
      font-size: var(--font-size-base);

      &:not(.rui-icon) {
        line-height: 0.8em;
        text-align: center;
      }
    }
  }
}
